## python-stem 1.4.1b

=== requirements.txt ===
mock
pyflakes
pep8
pycrypto
tox

## python-stem 1.0.1

=== debian/changelog ===
python-stem (1.0.1-3) unstable; urgency=low

  [ Scott Kitterman ]
  * Move python3 files into python3-stem so they can have correct dependencies
    - Add python3-stem to debian/control
    - Adjust debian/rules
  * Adjust python related build-depends so clean works.

  [ Ulises Vitulli ]
  * Deploy separated packages for 2 and 3 python series, thanks ScottKitterman
    (Closes: #712743).
  * Replaces and Breaks on older python-stem for safely transitioning.
  * Minor fixes at copyright machine readable format. 

 -- Ulises Vitulli <dererk@debian.org>  Fri, 16 Aug 2013 12:11:14 +0200

python-stem (1.0.1-2) unstable; urgency=low

  * Fix FTBFS on unhandled py3.3 on Sid. Thanks JakubWilk (Closes: #707160).
  * Dropped unsed dep on pysocksipy. Thanks sramacher@ (Closes: #707563). 
  * d/rules: Added python3.3 support.
  * d/compat: Fix debhelper compat version. Thanks lunar@.
  * d/control: Drop unused dep on python-support.
  * d/copyright: Add missing Copyright-Format header. Thanks lunar@.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 11 May 2013 10:27:37 -0300

python-stem (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #697880) (Fixes upstream Trac#7906).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 10 Jan 2013 16:06:33 -0300

=== debian/control ===
Source: python-stem
Section: python
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>  
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-6), python3-all
Standards-Version: 3.9.4
Homepage: https://git.torproject.org/stem.git
X-Python-Version: >= 2.7
Vcs-Git: git://git.debian.org/collab-maint/python-stem.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-stem.git

Package: python-stem
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Tor control library for Python
 Stem is a TorCtl successor, a Python Tor controller with extensions to support
 path building and various constraints on node and path selection, as well as
 statistics gathering.

Package: python3-stem
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Replaces: python-stem (<< 1.0.1-3)
Breaks: python-stem (<< 1.0.1-3)
Description: Tor control library for Python 3 series
 Stem is a TorCtl successor, a Python 3 Tor controller with extensions to
 support path building and various constraints on node and path selection, as
 well as statistics gathering.

## python-stem 1.1.0

=== debian/changelog ===
python-stem (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Homepage field.
  * debian/copyright: Update Source field.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 21 Oct 2013 13:00:01 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ulises Vitulli <dererk@debian.org>  
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-6), python3-all
 Standards-Version: 3.9.4
-Homepage: https://git.torproject.org/stem.git
+Homepage: https://gitweb.torproject.org/stem.git
 X-Python-Version: >= 2.7
 Vcs-Git: git://git.debian.org/collab-maint/python-stem.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-stem.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  python2.7
PY3VERS :=  $(shell py3versions -s -d)

%:
		dh $@ --with python2,python3

override_dh_installchangelogs:
		dh_installchangelogs debian/ChangeLog

override_dh_auto_install:
	dh_auto_install
	set -ex; \
	for py in $(PYVERS); do \
	$$py setup.py install --root debian/python-stem \
	--install-layout=deb; \
	done; \
	for py in $(PY3VERS); do \
	$$py setup.py install --root debian/python3-stem \
	--install-layout=deb; \
	done; \
	
override_dh_auto_clean:
	dh_auto_clean -- --all
	rm -rf build

## python-stem 1.2.2

=== debian/changelog ===
python-stem (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove /usr/bin/tor-prompt from python3-stem due to file
    conflict with python-stem (Closes: #767555)
    - Since tor-prompt uses /usr/bin/env python, it will always execute with
      python, not python3, so shipping it with python3-stem didn't work in any
      case
  * debian/control: Add versioned breaks for python3-stem << 1.2.2-1.1~

 -- Scott Kitterman <scott@kitterman.com>  Mon, 10 Nov 2014 10:27:48 -0500

python-stem (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Updated Standard-version to 3.9.5 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Wed, 02 Jul 2014 14:31:43 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ulises Vitulli <dererk@debian.org>  
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-6), python3-all
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://gitweb.torproject.org/stem.git
 X-Python-Version: >= 2.7
 Vcs-Git: git://git.debian.org/collab-maint/python-stem.git
@@ -12,6 +12,7 @@
 Package: python-stem
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
+Breaks: python3-stem (<< 1.2.2-1.1~)
 Description: Tor control library for Python
  Stem is a TorCtl successor, a Python Tor controller with extensions to support
  path building and various constraints on node and path selection, as well as

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	for py in $(PY3VERS); do \
 	$$py setup.py install --root debian/python3-stem \
 	--install-layout=deb; \
+	rm -rf $(CURDIR)/debian/python3-stem/usr/bin; \
 	done; \
 	
 override_dh_auto_clean:

## python-stem 1.3.0

=== debian/changelog ===
python-stem (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Move tor-prompt to examples to avoid provides conflicts (Closes: #767555).
  * Replace upstream changelog from git log to docs/change_log.rst.
  * Updated Standard-version to 3.9.6 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Sun, 04 Jan 2015 12:25:57 -0300

python-stem (1.2.2~de7aca3-1) unstable; urgency=medium

  * New upstream release 1.2.2 (keep reading).
  * Cherry picked upstream/de7aca3 for fixing py incompat.
  * Updated Standard-version to 3.9.5 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Wed, 02 Jul 2014 13:45:52 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ulises Vitulli <dererk@debian.org>  
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-6), python3-all
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://gitweb.torproject.org/stem.git
 X-Python-Version: >= 2.7
 Vcs-Git: git://git.debian.org/collab-maint/python-stem.git
@@ -12,7 +12,6 @@
 Package: python-stem
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Breaks: python3-stem (<< 1.2.2-1.1~)
 Description: Tor control library for Python
  Stem is a TorCtl successor, a Python Tor controller with extensions to support
  path building and various constraints on node and path selection, as well as

## python-stem 1.4.1b

=== debian/changelog ===
python-stem (1.4.1b-3) unstable; urgency=high

  * Use alternatives approach for picking up proper tor-prompt at py2 and py3,
   Thanks DonnchaO'Cearbhaill! (Closes: #812459).
  * Updated Standard-version to 3.9.7 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Sat, 05 Mar 2016 21:23:48 -0300

python-stem (1.4.1b-2) unstable; urgency=medium

  * Rollback #767555 since it kinda loses functionality as it is.
   Thanks lunar@! (Closes: #811373).

 -- Ulises Vitulli <dererk@debian.org>  Mon, 18 Jan 2016 10:55:05 -0300

python-stem (1.4.1b-1) unstable; urgency=medium

  * New upstream release.
  * Updated pkt description.

 -- Ulises Vitulli <dererk@debian.org>  Thu, 02 Jul 2015 19:32:03 -0300

=== debian/control ===
Source: python-stem
Section: python
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-6), python3-all
Standards-Version: 3.9.7
Homepage: https://gitweb.torproject.org/stem.git
X-Python-Version: >= 2.7
Vcs-Git: git://git.debian.org/collab-maint/python-stem.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-stem.git

Package: python-stem
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Tor control library for Python
 Stem is a Python controller library for Tor. With it you can use
 Tor's control protocol to script against the Tor process and read
 descriptor data relays publish about themselves.

Package: python3-stem
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Replaces: python-stem (<< 1.0.1-3)
Breaks: python-stem (<< 1.0.1-3)
Description: Tor control library for Python 3 series
 Stem is a Python controller library for Tor. With it you can use
 Tor's control protocol to script against the Tor process and read
 descriptor data relays publish about themselves.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 		dh $@ --with python2,python3
 
 override_dh_installchangelogs:
-		dh_installchangelogs debian/ChangeLog
+		dh_installchangelogs docs/change_log.rst
 
 override_dh_auto_install:
 	dh_auto_install
@@ -23,9 +23,20 @@
 	for py in $(PY3VERS); do \
 	$$py setup.py install --root debian/python3-stem \
 	--install-layout=deb; \
-	rm -rf $(CURDIR)/debian/python3-stem/usr/bin; \
 	done; \
+	mv debian/python-stem/usr/bin/tor-prompt debian/python-stem/usr/bin/python2-tor-prompt
+	mv debian/python3-stem/usr/bin/tor-prompt debian/python3-stem/usr/bin/python3-tor-prompt
 	
 override_dh_auto_clean:
 	dh_auto_clean -- --all
 	rm -rf build
+
+override_dh_installexamples:
+	dh_installexamples -ppython-stem tor-prompt
+	dh_installexamples -ppython3-stem tor-prompt
+
+override_dh_installman:
+	cp debian/tor-prompt.8 debian/python2-tor-prompt.8
+	cp debian/tor-prompt.8 debian/python3-tor-prompt.8
+	dh_installman -ppython-stem debian/python2-tor-prompt.8
+	dh_installman -ppython3-stem debian/python3-tor-prompt.8

## python-stem 1.5.3

=== requirements.txt ===
mock
pyflakes
pycodestyle
pycrypto
tox

=== debian/changelog ===
python-stem (1.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 06 Dec 2016 10:51:39 -0300

python-stem (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Updated Standard-version to 3.9.8 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 25 Nov 2016 20:26:18 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-stem
 Section: python
 Priority: optional
-Maintainer: Ulises Vitulli <dererk@debian.org>
+Maintainer: Ulises Vitulli <dererk@debian.org>  
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-6), python3-all
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://gitweb.torproject.org/stem.git
 X-Python-Version: >= 2.7
 Vcs-Git: git://git.debian.org/collab-maint/python-stem.git

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 
 %:
 		dh $@ --with python2,python3
-
-override_dh_installchangelogs:
-		dh_installchangelogs docs/change_log.rst
 
 override_dh_auto_install:
 	dh_auto_install
@@ -29,7 +26,7 @@
 	
 override_dh_auto_clean:
 	dh_auto_clean -- --all
-	rm -rf build
+	rm -rf build debian/python2-tor-prompt.8 debian/python3-tor-prompt.8
 
 override_dh_installexamples:
 	dh_installexamples -ppython-stem tor-prompt

## python-stem 1.6.0

=== requirements.txt ===
mock
pyflakes
pycodestyle
tox
cryptography
pynacl

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	@rm -f ./stem.* ./modules.rst

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Stem.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Stem.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Stem"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Stem"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-stem (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix versioned py3.x dependency, thanks MatthiasKlose! (Closes: #880960).
  * Updated Standard-version to 4.1.1.1 (no changes needed).
  * Updated upstream changelog note on large file.
  * Update Vcs-Browser field to https one.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 07 Nov 2017 09:44:55 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-stem
 Section: python
 Priority: optional
-Maintainer: Ulises Vitulli <dererk@debian.org>  
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-6), python3-all
-Standards-Version: 3.9.8
+Maintainer: Ulises Vitulli <dererk@debian.org>
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-6), python3-all, dh-python
+Standards-Version: 4.1.1.1
 Homepage: https://gitweb.torproject.org/stem.git
 X-Python-Version: >= 2.7
 Vcs-Git: git://git.debian.org/collab-maint/python-stem.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-stem.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-stem.git
 
 Package: python-stem
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME=stem

%:
		dh $@ --with python2,python3  --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build debian/python2-tor-prompt.8 debian/python3-tor-prompt.8

override_dh_auto_install:
	dh_auto_install
	mv debian/python-stem/usr/bin/tor-prompt debian/python-stem/usr/bin/python2-tor-prompt
	mv debian/python3-stem/usr/bin/tor-prompt debian/python3-stem/usr/bin/python3-tor-prompt

override_dh_installman:
	cp debian/tor-prompt.8 debian/python2-tor-prompt.8
	cp debian/tor-prompt.8 debian/python3-tor-prompt.8
	dh_installman -ppython-stem debian/python2-tor-prompt.8
	dh_installman -ppython3-stem debian/python3-tor-prompt.8

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs debian/ChangeLog

## python-stem 1.7.0

=== debian/changelog ===
python-stem (1.7.0-1~bpo9+2) stretch-backports; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop dependency on python3-distutils.
    On Python 3.6 (incl. stretch), distutils was part of the standard library.
    Closes: #923053

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 20 Jul 2019 16:50:38 +0200

python-stem (1.7.0-1~bpo9+1) stretch-backports; urgency=medium

  * Prepared a Stretch backport.

 -- Ulises Vitulli <dererk@debian.org>  Thu, 01 Nov 2018 13:33:17 -0300

python-stem (1.7.0-1) unstable; urgency=medium

  * New upstream release.
    - Removed local patches since they have been merged upstream or coming
    from it.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 09 Oct 2018 10:53:51 -0300

python-stem (1.6.0-4) unstable; urgency=medium

  * Fix missing Depends: on python3-distutils for py3 pkg. Thanks anbe@!
    (Closes: #905229).
  * ACKed NMU from irl@.
  * Updated Standard-version to 4.2.0.0 (no changes needed).
  * Fix duplicated long pkg description.
  * Enhance local patch description.
  * Added watch file.
  * Added gpg upstream verification.

 -- Ulises Vitulli <dererk@debian.org>  Thu, 02 Aug 2018 10:10:11 -0300

python-stem (1.6.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixes for PyPy compatibility issues (Closes: #904582).

 -- Iain R. Learmonth <irl@debian.org>  Mon, 30 Jul 2018 17:10:46 +0100

python-stem (1.6.0-3) unstable; urgency=medium

  * Prepare package for pypy. Thanks IainRLearmonth! (Closes: #904454).
  * Install some stem usage examples.
  * Update Vcs-* control fields for move to salsa.debian.org.
  * Updated Standard-version to 4.1.5.0 (no changes needed).
  * Updated debhelper compat to 11.
  * Cosmetic update copyrights file.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 24 Jul 2018 11:18:23 -0300

python-stem (1.6.0-2) unstable; urgency=high

  * Patch for py3.7 compat issues on reserved words (Closes: #903860).

 -- Ulises Vitulli <dererk@debian.org>  Mon, 23 Jul 2018 10:25:51 -0300

## python-stem 1.7.1

=== debian/changelog ===
python-stem (1.7.1-1) unstable; urgency=medium

  * New upstream release.
    - See https://trac.torproject.org/projects/tor/ticket/28731#comment:18

 -- Ulises Vitulli <dererk@debian.org>  Wed, 26 Dec 2018 20:41:51 -0300

=== debian/control ===
Source: python-stem
Section: python
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 11),
 dh-python,
 pypy,
 python-all (>= 2.6.6-6),
 python3-all,
Standards-Version: 4.3.0
Homepage: https://gitweb.torproject.org/stem.git
Vcs-Git: https://salsa.debian.org/debian/python-stem.git
Vcs-Browser: https://salsa.debian.org/debian/python-stem

Package: python-stem
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Tor control library for Python
 Stem is a Python controller library for Tor. With it you can use
 Tor's control protocol to script against the Tor process and read
 descriptor data relays publish about themselves.
 .
 This is Python 2 series module.

Package: python3-stem
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils
Replaces: python-stem (<< 1.0.1-3)
Breaks: python-stem (<< 1.0.1-3)
Description: Tor control library for Python 3 series
 Stem is a Python controller library for Tor. With it you can use
 Tor's control protocol to script against the Tor process and read
 descriptor data relays publish about themselves.
 .
 This is Python 3 series module.

Package: pypy-stem
Architecture: all
Depends: ${pypy:Depends}, ${misc:Depends}
Description: Tor control library for PyPy
 Stem is a Python controller library for Tor. With it you can use
 Tor's control protocol to script against the Tor process and read
 descriptor data relays publish about themselves.
 .
 This is PyPy series module.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=stem
 
 %:
-		dh $@ --with python2,python3  --buildsystem=pybuild
+		dh $@ --with python2,python3,pypy  --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -20,8 +20,12 @@
 override_dh_installman:
 	cp debian/tor-prompt.8 debian/python2-tor-prompt.8
 	cp debian/tor-prompt.8 debian/python3-tor-prompt.8
+	dh_installman -ppypy-stem debian/tor-prompt.8
 	dh_installman -ppython-stem debian/python2-tor-prompt.8
 	dh_installman -ppython3-stem debian/python3-tor-prompt.8
+
+override_dh_installexamples:
+	dh_installexamples -A docs/tutorials/examples/*
 
 override_dh_auto_test:

## python-stem 1.8.0

=== debian/changelog ===
python-stem (1.8.0-3) unstable; urgency=medium

  * Make build reproducible (Closes: #963533)
    thanks to Chris Lamb

 -- Federico Ceratto <federico@debian.org>  Fri, 25 Dec 2020 20:47:27 +0000

python-stem (1.8.0-2) unstable; urgency=high

  * Add Testsuite and Rules-Requires-Root

 -- Federico Ceratto <federico@debian.org>  Thu, 06 Aug 2020 15:49:12 +0100

python-stem (1.8.0-1) unstable; urgency=high

  [ Ulises Vitulli ]
  * New upstream release.
  * Added Federico Ceratto to Uploaders.
  * Updated debian/copyright.
  * Removed py2 support.
  * Updated Standard-version to 4.5.0.2 (no changes needed).

  [ Federico Ceratto ]
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.

 -- Ulises Vitulli <dererk@debian.org>  Fri, 24 Apr 2020 23:02:39 -0300

=== debian/control ===
Source: python-stem
Section: python
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Uploaders: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dh-python,
 pypy,
 python3-all,
 python3-sphinx,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://gitweb.torproject.org/stem.git
Vcs-Git: https://salsa.debian.org/debian/python-stem.git
Vcs-Browser: https://salsa.debian.org/debian/python-stem
Testsuite: autopkgtest-pkg-python

Package: python3-stem
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Replaces: python-stem (<< 1.0.1-3)
Breaks: python-stem (<< 1.0.1-3)
Description: Tor control library for Python 3 series
 Stem is a Python controller library for Tor. With it you can use
 Tor's control protocol to script against the Tor process and read
 descriptor data relays publish about themselves.
 .
 This is Python 3 series module.

Package: python3-stem-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-jquery,
 libjs-underscore
Conflicts: python3-stem (<< 1.8.0-1)
Description: Tor control library for Python 3 - documentation
 Stem is a Python controller library for Tor. With it you can use
 Tor's control protocol to script against the Tor process and read
 descriptor data relays publish about themselves.
 .
 This package contains documentation for developers

Package: pypy-stem
Architecture: all
Depends: ${pypy:Depends}, ${misc:Depends}
Description: Tor control library for PyPy
 Stem is a Python controller library for Tor. With it you can use
 Tor's control protocol to script against the Tor process and read
 descriptor data relays publish about themselves.
 .
 This is PyPy series module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=stem

%:
		dh $@ --with python3,pypy,sphinxdoc  --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build debian/python2-tor-prompt.8 debian/python3-tor-prompt.8

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bhtml docs build/html
	rm -rf build/html/.doctrees

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-stem/usr/bin/tor-prompt debian/python3-stem/usr/bin/python3-tor-prompt

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -p python3-stem-doc
endif

override_dh_installman:
	cp debian/tor-prompt.8 debian/python3-tor-prompt.8
	dh_installman -ppypy-stem debian/tor-prompt.8
	dh_installman -ppython3-stem debian/python3-tor-prompt.8

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs debian/ChangeLog

## python-stem 1.8.1

=== requirements.txt ===
mock
pyflakes
pycodestyle
tox
cryptography

=== debian/changelog ===
python-stem (1.8.1-2.1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add patch to fix test failure with python3.11.
    (closes: #1028998)

 -- Federico Ceratto <federico@debian.org>  Fri, 20 Jan 2023 22:09:23 +0000

python-stem (1.8.1-2) unstable; urgency=medium

  * Stop using int_from_bytes (Closes: #1016101)

 -- Federico Ceratto <federico@debian.org>  Sun, 15 Jan 2023 18:35:52 +0000

python-stem (1.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove python-stem package remains
  * Remove package pypy-stem (Closes: #1022111)
  * Replace CI config with central one

 -- Bastian Germann <bage@debian.org>  Sat, 05 Nov 2022 14:08:43 +0100

python-stem (1.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 16 Oct 2022 11:45:44 +0100

python-stem (1.8.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for Python 3.10 (Closes: #1010313)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 May 2022 15:54:48 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Uploaders: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-python,
- pypy,
  python3-all,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://gitweb.torproject.org/stem.git
 Vcs-Git: https://salsa.debian.org/debian/python-stem.git
@@ -42,13 +41,3 @@
  descriptor data relays publish about themselves.
  .
  This package contains documentation for developers
-
-Package: pypy-stem
-Architecture: all
-Depends: ${pypy:Depends}, ${misc:Depends}
-Description: Tor control library for PyPy
- Stem is a Python controller library for Tor. With it you can use
- Tor's control protocol to script against the Tor process and read
- descriptor data relays publish about themselves.
- .
- This is PyPy series module.

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,7 @@
 export PYBUILD_NAME=stem
 
 %:
-		dh $@ --with python3,pypy,sphinxdoc  --buildsystem=pybuild
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf build debian/python2-tor-prompt.8 debian/python3-tor-prompt.8
+		dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -25,11 +21,6 @@
 	dh_sphinxdoc -p python3-stem-doc
 endif
 
-override_dh_installman:
-	cp debian/tor-prompt.8 debian/python3-tor-prompt.8
-	dh_installman -ppypy-stem debian/tor-prompt.8
-	dh_installman -ppython3-stem debian/python3-tor-prompt.8
-
 override_dh_auto_test:
 
 override_dh_installchangelogs:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/stem/stem-(.*).tar.gz

## python-stem 1.8.2

=== debian/changelog ===
python-stem (1.8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: added python3-setuptools to Build-Depends
    field to fix a FTBFS. (Closes: #1080942)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 07 Mar 2025 13:36:16 -0300

python-stem (1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Fri, 12 Jan 2024 18:05:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-python,
  python3-all,
+ python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitweb.torproject.org/stem.git
 Vcs-Git: https://salsa.debian.org/debian/python-stem.git

=== debian/watch ===
version=4
https://gitlab.torproject.org/tpo/network-health/stem/-/tags .*?stem-(\d\S+)\.tar\.gz
